package domain


type AlibabaWdkSkuUpdatePropDo struct {
    /*
        是否移除该属性     */
    RemoveOpt  *bool `json:"remove_opt,omitempty" `

    /*
        行业属性值     */
    Value  *string `json:"value,omitempty" `

    /*
        行业属性     */
    Key  *string `json:"key,omitempty" `

}

func (s *AlibabaWdkSkuUpdatePropDo) SetRemoveOpt(v bool) *AlibabaWdkSkuUpdatePropDo {
    s.RemoveOpt = &v
    return s
}
func (s *AlibabaWdkSkuUpdatePropDo) SetValue(v string) *AlibabaWdkSkuUpdatePropDo {
    s.Value = &v
    return s
}
func (s *AlibabaWdkSkuUpdatePropDo) SetKey(v string) *AlibabaWdkSkuUpdatePropDo {
    s.Key = &v
    return s
}
